    import {TokenAmount} from '@solana/web3'

public class | source

# TokenAmount

#### Extends:

bn.js~BN → TokenAmount

Some amount of tokens

## Static Method Summary

Static Public Methods
public static | fromBuffer(buffer: Buffer): TokenAmount Construct a TokenAmount from Buffer representation |

## Method Summary

Public Methods
public | toBuffer(): Buffer Convert to Buffer representation |

## Static Public Methods

### public static fromBuffer(buffer: Buffer): TokenAmount source

Construct a TokenAmount from Buffer representation

#### Params:

Name | Type | Attribute | Description
buffer | Buffer |  |

#### Return:

TokenAmount

## Public Methods

### public toBuffer(): Buffer source

Convert to Buffer representation

#### Return:

Buffer